# Price Data

All price data related paths.

 - [GET /instruments/{instrument_id}/venues](https://docs.upvest.co/api/price-data/retrieve_instrument_venues.md): The venues where the instrument is traded and for which the price data is available.
 - [GET /instruments/{instrument_id}/venues/{venue_id}/prices/latest](https://docs.upvest.co/api/price-data/retrieve_instrument_latest_price.md): Returns the instrument's latest price as available at the specified venue. **NOTE**: Please note that in live mode we provide the latest prices that we receive from our data provider. However, it is t
 - [GET /instruments/{instrument_id}/venues/{venue_id}/prices/ohlc](https://docs.upvest.co/api/price-data/retrieve_instrument_prices_ohlc.md): Returns OHLC prices for the instrument at the specified venue for the chosen time period. If requested interval is `1d`, then the response also includes days with 0 volume. In these cases `open`, `hig
